# OpenLayers.Control.ZoomBox

The ZoomBox control enables zooming directly to a given extent, by drawing a box on the map. The box is drawn by holding down shift, whilst dragging the mouse.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.ZoomBox | The ZoomBox control enables zooming directly to a given extent, by drawing a box on the map.
Properties |
keyMask | {Integer} Zoom only occurs if the keyMask matches the combination of keys down.
alwaysZoom | {Boolean} Always zoom in/out when box drawn, even if the zoom level does not change.
zoomOnClick | {Boolean} Should we zoom when no box was dragged, i.e.

### Properties

### keyMask

{Integer} Zoom only occurs if the keyMask matches the combination of keys down. Use bitwise operators and one or more of the OpenLayers.Handler constants to construct a keyMask. Leave null if not used mask. Default is null.

### alwaysZoom

{Boolean} Always zoom in/out when box drawn, even if the zoom level does not change.

### zoomOnClick

{Boolean} Should we zoom when no box was dragged, i.e. the user only clicked? Default is true.

Controls affect the display or behavior of the map.
Base class to construct a higher-level handler for event sequences.
Close